Debian Squeeze: 6.0.7 Released

Valic —  February 24, 2013 — Leave a comment

On February 23rd, 2013 Debian Squeeze version 6.0.7 was released.

This update mainly adds corrections for security problems to the stable release, along with a few adjustments for serious problems. Security advisories were already published separately and are referenced where available.

Please note that this update does not constitute a new version of Debian 6.0 but only updates some of the packages included. There is no need to throw away 6.0 CDs or DVDs but only to update via an up-to-date Debian mirror after an installation, to cause any out of date packages to be updated.

Those who frequently install updates from won’t have to update many packages and most updates from are included in this update.

New installation media and CD and DVD images containing updated packages will be available soon at the regular locations.

Upgrading to this revision online is usually done by pointing the aptitude (or apt) package tool (see the sources.list(5) manual page) to one of Debian’s many FTP or HTTP mirrors. A comprehensive list of mirrors is available at:

More info here

Nagios is a free service monitoring system, that enables organizations to identify and resolve IT infrastructure problems before they affect critical business processes.
In this tutorial I will show you how to install Nagios on Debian 6. For this, I will use a fresh installed Debian 6 with minimalistic packages.

Step1. Install Nagios packages:

By default, Nagios packages are already included in Debian 6 main repository. To install them run this command:

[email protected]:/# apt-get install nagios*

This command will install all packages needed by nagios to work properly.


Step2. Now you will be presented with the question that you need to fill in the information required:

You will be asked first to enter the password for Admin. Choose a strong password and confirm it.


NOTE: This is the username and password you will use to log in to your nagios  installation after configuration is complete. Continue Reading...

Today was released the first RC for Debian 7.0 aka Wheezy.

Improvements in this release of the installer

  • brltty:
    • Fix support for the theme=dark accessibility option (#696972).
    • Enable orca in gnome3 sessions too.

    Please note: the gdm3 prompt isn’t accessible (#694937).

  • cdebconf:
    • Fix display of info messages (e.g. Rescue mode in the banner).
    • Improve speech synthesis support.
  • debconf: Fix misleading man-db title for GRUB prompt (#679327).
  • debian-cd:
    • Improve GRUB menus used when booting in UEFI mode so they match up better with the equivalent syslinux menus.
    • Change the default UEFI display resolution to 800×600 for maximum compatibility.
    • Fix README.html generation (#699198).
  • debian-installer-utils: Fix procfs mounting on GNU/kFreeBSD (#696901).
  • grub2:
    • Improve support for EFI installs: make sure /boot/grub exists, and copy unicode.pf2 there (#696962, #661789).
    • Fix infinite recursion in gettext when translation fails (#611537 and many others).
  • lowmem: Adjust lowmem limit for GNU/kFreeBSD needed for ZFS volumes (#696786).
  • mountmedia:
    • Revert kernel bug workaround (#694082).
    • Firmware loading issues should disappear accordingly.
  • netcfg: Write network-manager configuration (included wireless settings when applicable) if it’s found in the installed system; configure ifupdown for wired networking otherwise (#682608).
  • oldsys-preseed:
    • Ignore a missing gateway with DHCP (#687212).
    • Use netcfg/disable_autoconfig instead of netcfg/disable_dhcp (#689531).
  • preseed: Deal with URLs that consist of an unqualified machine name and a port (#695908).
  • qcontrol: Disable firmware watchdog on TS-219p II and TS-419p II (#693263).
  • rootskel: Use the same keymap in the virtual consoles as the one selected in the graphical installer (#606395).
  • xorg-server: Avoid cursor jumps in VirtualBox (#694598).

Hardware support changes

  • linux: Add many drivers to the installer: 8021q, adm8211, at76c50x-usb, b43legacy, bnx2fc, cxgb4, cxgb4vf, fnic, igbvf, int51x1, isci, iwl4965, ixgbevf, libertas_tf_usb, micrel, mlx4_en, mwifiex_pcie, mwl8k, orinoco_usb, pata_piccolo, pch_gbe, pmcraid, prism2_usb, qlge, r8187se, r8192e_pci, r8712u, rtl8192ce, rtl8192cu, rtl8192de, rtl8192se, smsc75xx, smsc9420, smsc95xx, tehuti, ums-eneub6250, ums-realtek, vt6656_stage, vxge (#686605, #689159, #690886, #694348, #695437).
  • linux: Add Ralink wifi device IDs: 5362, 5392, 539b (#694312).
  • linux: Add support for Lenovo 10/100 Ethernet USB dongle (#696248).

You can find more info on website.

If you want to disable wget to download your site pages you need to declare wget as bad_bot. For that you need to add the following code in the .htaccess file located under website’s public_html directory.
after you inserted this code, if anybody tries to download your site pages using wget will receive a 403 error.

#Declare Wget a bad_bot
SetEnvIfNoCase User-Agent "^Wget" bad_bot
Order Allow,Deny
Allow from all
Deny from env=bad_bot

[email protected]:~# wget
--2013-02-14 xx:xx:xx--
Connecting to||:80... connected.
HTTP request sent, awaiting response... 403 Forbidden
2013-02-14 xx:xx:xx ERROR 403: Forbidden.

Pidgin 2.10.7 was released and it brings numerous fixes, improvements, and a few new features, especially to MSN, Gadu-Gadu, MXit, Sametime, IRC and Yahoo! protocols.

All Pidgin users are urged to upgrade to the newly released 2.10.7 version as soon as possible, as it contains important security updates. Without any further ado, let’s take a look at the actual changes:

• Fixed an issue with the configure script, which will now exit with status 1 if an invalid protocol plugin is specified using the –with-dynamic-prpls and –with-static-prpls arguments;
• Fixes a libpurple crash related to UPnP responses with unusual long values;
• Repaired libpurple issue related to libgcrypt, when compiling with GnuTLS support;
• Fixed UPnP mappings on libpurple, for routers that return empty elements;
• The Tcl plugin for libpurple now uses race-free, saner plugin loading;
• The Tcl signals-test plugin has been fixed for savedstatus-changed in libpurple;
• Improved support for non-X11 GTK+, such as the one from MacPorts;
• Fixed a startup crash related to large contact lists on Gadu-Gadu accounts. Therefore, avatar support has been disabled until version 3.0.0);
• Implemented support for SASL authentication on IRC protocol;
• Topic setter info is now printed when joining an IRC channel;
• Fixed SSL certificate issues when signing into MSN accounts;
• Fixed a MSN crash when a user is removed before its avatar is loaded;
• Fixed a bug that could allow a remote MXit user to specify a local file path to be written to;
• Fixed a bug that could lead to remote code execution or a crash, because the MXit server could send specially crafted data;
• MXit farewell messages are now displayed in a different color;
• Added support for typing notification in MXit;
• Added support for the MXit Relationship Status profile attribute;
• Removed all MXit Hidden Number reference;
• When joining a MXit GroupChat or have a pending invite, other invites are being ignore now;
• Centered the buddy’s name vertically in the buddy-list for MXit protocol;
• Decoding of font-size changes in the markup of received messages has been fixed in MXit;
• The maximum file size that can be transferred on MXit is now 1 MB;
• MXit avatars are no longer downscaled to 96×96;
• Fixed a crash for the Sametime protocol, related to unusual long user IDs send by a malicious server;
• Fixed a double-free in picture/profile loading code for the Yahoo protocol;
• Server-side buddy aliases can now be retrieved on Yahoo accounts;
• Added support for sndio GStreamer backends to the Voice/Video Settings plugin;
• Fixed Contact Availability Detection plugin crash;
• Improved support for non-X11 GTK+, such as the one from MacPorts, on the Message Notification plugin.
You can  Download Pidgin 2.10.7 right now from Softpedia.

Page 1 of 3123